package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.demo.entity.vo.AppVo;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@TableName("dl_app")
@NoArgsConstructor
public class App {
    @TableId("appkey")
    private String appkey;
    @TableField("app_logo")
    private String appLogo;
    @TableField("app_name")
    private String appName;
    @TableField("app_introduce")
    private String appIntroduce;
    @TableField("commercial_id")
    private String commercialId;
    @TableField("commercial_name")
    private String commercialName;
    @TableField("state")
    private Integer state;
    @TableField("call_back")
    private String callBack;
    @TableField("appSecret")
    private String appSecret;
    @TableField("prove_1")
    private String prove1;
    @TableField("prove_2")
    private String prove2;
    @TableField("prove_3")
    private String prove3;
    @TableField("prove_4")
    private String prove4;
    @TableField("prove_5")
    private String prove5;
    @TableField("create_time")
    private LocalDateTime createTime;
    @TableField("annotation")
    private String annotation;
    @TableField("deleted")
    private Integer deleted;

    public App(AppVo appVo) {
        this.appLogo = appVo.getAppLogo();
        this.appName = appVo.getAppName();
        this.appIntroduce = appVo.getAppIntroduce();
        this.commercialId = appVo.getCommercialId();
        this.commercialName = appVo.getCommercialName();
        this.state = appVo.getState();
        this.callBack = appVo.getCallBack();
        this.prove1 = appVo.getProve1();
        this.prove2 = appVo.getProve2();
        this.prove3 = appVo.getProve3();
        this.prove4 = appVo.getProve4();
        this.prove5 = appVo.getProve5();
        this.annotation = appVo.getAnnotation();
    }
}
